<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use App\Models\Setting;
use App\Models\User;
use App\Traits\ViewPathTrait;
class SettingController extends Controller
{
    use ViewPathTrait;
    public function index($module)
    {
        // Define the directory path
        $directoryPath = resource_path('views/admin/settings/' . $module);

        // Check if the directory exists, if not, create it
        if (!File::isDirectory($directoryPath)) {
            File::makeDirectory($directoryPath, 0755, true, true);
        }

        // Define the view file path
        $viewPath = $directoryPath . '/index.blade.php';

        // Check if the view file exists
        if (!File::exists($viewPath)) {
            // If the view doesn't exist, create it
            $this->createMasterIndexView($viewPath, $module);
        }
        $arr = Setting::getData($module);
        $menuItems = json_decode(File::get(storage_path(auth()->user()->role . '_menu.json')), true);
        return view('admin.settings.' . $module . '.index',compact('menuItems','arr'));
    }
    public function store(Request $request){
        $model = $request->input('model');
        $data = Setting::insertData($model, $request);
        return $data;
    }
    public function update(Request $request){
        $model = $request->input('model');
        $id = $request->input('id');
        $data = Setting::updateData($model, $id, $request);
        return $data;
    }
    public function destroy(Request $request)
    {
        $model = $request->input('model');
        $id = $request->input('id');
        $record = User::deleteById($id, $model);
        return $record;
    }
}
