<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Page extends Model
{
    use HasFactory;
    protected $fillable = [
        'title','slug','category', 'content'
    ];
    public static function getFirstContent($type){
        $arr = Page::where('category','backend')
        ->where('slug','exhibitor-dashboard-instructions')->first();
        if($arr){
            return $arr;
        }else{
            return $arr = [
                'title' => 'Exhibitor Dashboard Instructions',
                'content' => 'Exhibitor Dashboard Instructions',
                'status' => false,
            ];
        }
    }
    public static function contentSave($request,$type){
        Page::create([
            'title' => 'Exhibitor Dashboard Instructions',
            'slug' => 'exhibitor-dashboard-instructions',
            'category' => 'backend',
            'content' => $request->input('content'),
        ]);
        return back()->with('success', 'Record Added successfully.');
    }
    public static function updateById($request){
        $findRecord = Page::find($request->input('id')); 
        $findRecord->content = $request->input('content');
        $findRecord->save();
        return back()->with('success', 'Record Updated successfully.');
    }
}
