<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Setting;
use App\Models\StallCategory;
class Stall extends Model
{
    use HasFactory;
    protected $fillable = ['user_id','status','stall_number','hall_number'];
    public static function getStallAreas(){
        $data = Setting::where('meta_key','stall_management_area')->pluck('meta_value');
        if(!$data->isEmpty()){
            return json_decode($data[0]);
        }else{
            return [];
        }
    }
    public static function getStalls($module){
        if($module == 'number'){
            $data = Stall::where('status',1)->get();
        }else{
            $data = StallCategory::all();
        }
        if(!$data->isEmpty()){
            return $data;
        }else{
            return [];
        }
    }

    public static function addStall($request){
        $existingStall = Stall::where('stall_number', $request->input('stall_number'))
        ->where('hall_number', $request->input('hall_number'))
        ->first();
        if($existingStall){
            return back()->with('error', 'Stall Already Added.');
        }
        $data = Stall::create([
            'stall_number' => $request->input('stall_number'),
            'hall_number' => $request->input('hall_number'),
        ]);
        return back()->with('success', 'Record Updated Successfully.');
    }
    public static function addCategory($request){
        $existingCategory = StallCategory::where('name', $request->input('name'))
        ->where('currency', $request->input('currency'))
        ->where('value', $request->input('value'))
        ->first();
        if($existingCategory){
            return back()->with('error', 'Category Already Added.');
        }
        $data = StallCategory::create([
            'name' => $request->input('name'),
            'currency' => $request->input('currency'),
            'value' => $request->input('value'),
        ]);
        return back()->with('success', 'Record Updated Successfully.');
    }
    public static function updateStallCategory($request, $id){
        $existingCategory = StallCategory::where('name', $request->input('name'))
        ->where('currency', $request->input('currency'))
        ->where('value', $request->input('value'))
        ->first();
        if($existingCategory){
            return back()->with('error', 'Category Already Added.');
        }
        $record = StallCategory::find($id);
        $record->name = $request->input('name');
        $record->currency = $request->input('currency');
        $record->value = $request->input('value');
        $record->save();
        return back()->with('success', 'Record Updated Successfully.');
    }
    public static function updateStall($request, $id){
        $existingStall = Stall::where('stall_number', $request->input('stall_number'))
        ->where('hall_number', $request->input('hall_number'))
        ->first();
        if($existingStall){
            return back()->with('error', 'Stall Already Added.');
        }
        $record = Stall::find($id);
        $record->stall_number = $request->input('stall_number');
        $record->hall_number = $request->input('hall_number');
        $record->save();
        return back()->with('success', 'Record Updated Successfully.');
    }
}
