    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">area</div>
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredarea">
                                Add area
                            </button>
                        </div>
                        <div class="card-body">
                            <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Area</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if(!empty($arr))
                                    @foreach($arr->stall_area as $key => $stallArea)
                                    <tr>
                                        <td>{{ $key + 1 }}</td>
                                        <td>{{ $stallArea }}</td>
                                        <td>
                                            <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editArea{{$key}}">
                                                <i class="bi bi-check-circle"></i>
                                            </button>
                                        </td>
                                        <td>
                                            <form method="POST" action="{{url('admin/home/stall-management/area/destroy/')}}" id="deleteForm{{$stallArea}}">
                                                @csrf
                                                @method('POST')
                                                <input type="hidden" name="model" value="area">
                                                <input type="hidden" name="area" value="{{$stallArea}}">
                                                <button type="button" class="btn btn-danger" onclick="confirmAreaDelete({{$stallArea}})"><i class="bi bi-exclamation-octagon"></i></button>
                                            </form>
                                        </td>
                                    </tr>
                                    <div class="modal fade" id="editArea{{$key}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Area
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/stall-management/area/update')}}" class="needs-validation map_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="area" name="model">
                                                        <input type="hidden" value="{{$stallArea}}" name="id">
                                                        <div class="form-group mb-3">
                                                            <label>Area</label>
                                                            <input type="number" step="0.01" name="area" value="{{ $stallArea }}" class="form-control" required>
                                                            <div class="invalid-feedback">
                                                                Please add Area.
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                    @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="verticalycenteredarea" tabindex="-1" style="display: none;" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Stall Area</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form action="{{url('admin/home/stall-management/area')}}" class="needs-validation exhibito_content_master" method="POST" novalidate enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" value="area" name="model">
                            <div class="form-group mb-3">
                                <label>Stall Area</label>
                                <input type="number" value="0" step="0.01" name="area" required placeholder="240" class="form-control">
                                <div class="invalid-feedback">
                                    Please Add Area.
                                </div>
                            </div>
                            <div class="form-group">
                                <input type="submit" value="Submit" class="btn btn-primary">
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
    @endsection